summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/capi4hylafax/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/capi4hylafax/files')
-rw-r--r--net-misc/capi4hylafax/files/capi4hylafax-01.03.00.99.300.3-recvdev.diff20
-rw-r--r--net-misc/capi4hylafax/files/capi4hylafax.confd19
-rw-r--r--net-misc/capi4hylafax/files/capi4hylafax.initd64
3 files changed, 103 insertions, 0 deletions
diff --git a/net-misc/capi4hylafax/files/capi4hylafax-01.03.00.99.300.3-recvdev.diff b/net-misc/capi4hylafax/files/capi4hylafax-01.03.00.99.300.3-recvdev.diff
new file mode 100644
index 000000000000..ae56d740c929
--- /dev/null
+++ b/net-misc/capi4hylafax/files/capi4hylafax-01.03.00.99.300.3-recvdev.diff
@@ -0,0 +1,20 @@
+--- src/faxrecv/recvdev.cpp.orig 2006-08-15 11:13:33.000000000 +0200
++++ src/faxrecv/recvdev.cpp 2006-10-04 02:09:46.000000000 +0200
+@@ -114,7 +114,7 @@
+ CMultiString tmpDDIs;
+ CMultiString tmpMSNs;
+ CMultiString *pMSNs;
+- tSize FindPos;
++ tUInt FindPos;
+
+ ConfigAssignment_Item CntrlAssignments[] = {
+ { "Controller", ConfigAssignment_UInt, &tmpController },
+@@ -162,7 +162,7 @@
+ MSNlauf->RemoveChars ((tChar *)" \t_()[]{}\"'`TtPp,.:;");
+ if (MSNlauf->IsEmpty() == vFalse) {
+ FindPos = MSNlauf->FindChar ('-');
+- if (FindPos == MAXVAL_tSize) {
++ if (FindPos == MAXVAL_tUInt) {
+ dprint ("Add MSN-Value=(%s) ", MSNlauf->GetPointer());
+ switch (CIPMSNList.AddMSN (tmpController, MSNlauf)) {
+ case iErr_OutOfMemory:
diff --git a/net-misc/capi4hylafax/files/capi4hylafax.confd b/net-misc/capi4hylafax/files/capi4hylafax.confd
new file mode 100644
index 000000000000..40aa8cfe603d
--- /dev/null
+++ b/net-misc/capi4hylafax/files/capi4hylafax.confd
@@ -0,0 +1,19 @@
+# configuraton file for /etc/init.d/capi4hylafax
+
+# Activate Logging (Filename have to be specified in the config file).
+#ACTIVATE_LOGGING="yes"
+
+# Specify the output format. Allowed types are:
+# HYLAFAX (default), TIFF, SFF, G3
+#OUTPUT_FORMAT="HYLAFAX"
+
+# Virtual device name only needed for Hylafax.
+#VIRTUAL_DEVICE="faxCAPI"
+
+# Name and path of the config file
+#CONFIG_FILE="/var/spool/fax/etc/config.faxCAPI"
+
+# Directory where received faxes are to be stored.
+# Do not set it in Hylafax mode (see OUTPUT_FORMAT)!
+#RECEIVE_DIR="/var/spool/fax/recvq"
+
diff --git a/net-misc/capi4hylafax/files/capi4hylafax.initd b/net-misc/capi4hylafax/files/capi4hylafax.initd
new file mode 100644
index 000000000000..bfba068a0285
--- /dev/null
+++ b/net-misc/capi4hylafax/files/capi4hylafax.initd
@@ -0,0 +1,64 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need capi
+}
+
+checkconfig() {
+ local DEFAULT_OUTPUT_FORMAT="HYLAFAX"
+ local DEFAULT_VIRTUAL_DEVICE="faxCAPI"
+ local DEFAULT_RECEIVE_DIR="/var/spool/fax"
+ local DEFAULT_CONFIG_FILE="/var/spool/fax/etc/config.faxCAPI"
+
+ [ -n "${CONFIG_FILE}" ] || CONFIG_FILE="${DEFAULT_CONFIG_FILE}"
+ [ -n "${OUTPUT_FORMAT}" ] || OUTPUT_FORMAT="${DEFAULT_OUTPUT_FORMAT}"
+ [ -n "${VIRTUAL_DEVICE}" ] || VIRTUAL_DEVICE="${DEFAULT_VIRTUAL_DEVICE}"
+ [ "${OUTPUT_FORMAT}" = "HYLAFAX" ] || DEFAULT_RECEIVE_DIR="/var/spool/fax/recvq"
+ [ -n "${RECEIVE_DIR}" ] || RECEIVE_DIR="${DEFAULT_RECEIVE_DIR}"
+
+ if [ ! -f "${CONFIG_FILE}" ]; then
+ eerror "You're missing ${CONFIG_FILE}"
+ return 1
+ fi
+
+ OPTIONS=""
+ PIDFILE="/var/run/c2faxrecv.pid"
+
+ [ "${ACTIVATE_LOGGING}" = "yes" ] && OPTIONS="${OPTIONS} -L"
+
+ [ "${OUTPUT_FORMAT}" = "${DEFAULT_OUTPUT_FORMAT}" ] || \
+ OPTIONS="${OPTIONS} -f ${OUTPUT_FORMAT}"
+
+ [ "${CONFIG_FILE}" = "${DEFAULT_CONFIG_FILE}" ] || \
+ OPTIONS="${OPTIONS} -C ${CONFIG_FILE}"
+
+ [ "${OUTPUT_FORMAT}" = "HYLAFAX" -a "${RECEIVE_DIR}" = "${DEFAULT_RECEIVE_DIR}" ] || \
+ OPTIONS="${OPTIONS} -q ${RECEIVE_DIR}"
+
+ if [ "${VIRTUAL_DEVICE}" != "${DEFAULT_VIRTUAL_DEVICE}" ]; then
+ PIDFILE="/var/run/c2faxrecv.${VIRTUAL_DEVICE}.pid"
+ OPTIONS="${OPTIONS} ${VIRTUAL_DEVICE}"
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting CAPI4HylaFAX for ${VIRTUAL_DEVICE}"
+ start-stop-daemon -b -m --quiet --start --pidfile ${PIDFILE} \
+ --exec /usr/bin/c2faxrecv -- ${OPTIONS}
+ eend $?
+}
+
+stop() {
+ checkconfig || return 1
+
+ ebegin "Stopping CAPI4HylaFAX for ${VIRTUAL_DEVICE}"
+ start-stop-daemon >/dev/null --quiet --stop --pidfile ${PIDFILE} --retry 10 && \
+ /bin/rm -f ${PIDFILE}
+ eend $?
+}
+